%define api_version 2.6

%define glibmm_version 2.4.0
%define gnome_vfs_version 2.6.0

%define pkgname gnome-vfsmm

Name: libgnome-vfsmm
Version: 2.6.1
Release: alt1

Summary: A C++ interface for GNOME VFS library

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

Source: ftp://ftp.gnome.org/pub/GNOME/sources/%pkgname/%api_version/%pkgname-%version.tar.bz2

# Automatically added by buildreq on Mon Jun 07 2004
BuildRequires: ORBit2-devel doxygen gcc-c++ glib2-devel gnome-vfs2-devel hostinfo libbonobo2-devel libglibmm-devel libsigc++2.0-devel libstdc++-devel pkgconfig

BuildRequires: gnome-vfs2-devel >= %gnome_vfs_version
BuildRequires: libglibmm-devel >= %glibmm_version

%description
This package provides a C++ interface for gnome-vfs (the GNOME
Virtual File System), which provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is a subpackage of the gnomemm project,
which provides a C++ interface for GNOME libraries.

%package -n %name-devel
Summary: Headers and development files of GNOME VFS C++ wrapper
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: gnome-vfs2-devel >= %gnome_vfs_version
Requires: libglibmm-devel >= %glibmm_version

%description -n %name-devel
This package contains the headers and various development files needed,
when compiling or developing programs which want C++ wrapper of GNOME
VFS library.

%package doc
Summary: Documentation of %pkgname library
Group: Books/Other

%description doc
This package provides API documentation of %pkgname library.

%prep
%setup -q -n %pkgname-%version

%build
%configure --disable-static
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
%makeinstall

%post -n %name -p /sbin/ldconfig
%postun -n %name -p /sbin/ldconfig

%files -n %name
%doc COPYING
%_libdir/*.so.*

%files -n %name-devel
%doc AUTHORS COPYING ChangeLog NEWS README
%_includedir/*
%_libdir/%pkgname-%api_version
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%files doc
%doc docs/reference/html

%changelog
* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.1-alt1
- first build for Sisyphus (thanks Mandrake)

* Fri May 14 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-1mdk
- New version

* Wed Apr 28 2004 Abel Cheung <deaddog@deaddog.org> 2.6.0-1mdk
- First Mandrake package
